API ReferenceOperations
List operations
GET /rest/v1/operations
Authorization
apiKey AuthorizationBearer <token>
Authorization: Bearer nbl_live_... (or nbl_test_... for test mode). Test-mode writes are validated and simulated but never persisted and never touch channels; simulated results are marked simulated.
In: header
Query Parameters
limit?integer
Range
1 <= value <= 100Default
25cursor?string
status?string
Value in
- "pending"
- "processing"
- "succeeded"
- "partial"
- "failed"
created_after?string
Format
date-timeResponse Body
application/json
curl -X GET "https://example.com/operations"{ "object": "list", "has_more": true, "next_cursor": "string", "data": [ { "id": "op_8fd2c1", "object": "operation", "type": "string", "status": "pending", "resource_type": "string", "resource_id": "string", "results": [ { "channel_account_id": "string", "listing_id": "string", "sku": "string", "status": "pending", "error": { "code": "string", "message": "string" } } ], "created_at": "2019-08-24T14:15:22Z", "completed_at": "2019-08-24T14:15:22Z" } ]}Last updated on July 28, 2026
Need help?
The API is in private beta — email us and a human replies, usually within one business day.